com.sap.core.connectivity.api.validation.consts

## Interface RfcConstants

-     public interface RfcConstants

  Provides constants which are RFC Destination specific.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLOUD_CONNECTOR_VERSION` Cloud Connector version property.
    `static String` | `JCO_ALIAS_USER` Logon user alias, can be used instead of the logon user ID.
    `static String` | `JCO_ASHOST` SAP ABAP application server, mandatory for a direct connection.
    `static String` | `JCO_CLIENT` SAP client, mandatory logon parameter.
    `static String` | `JCO_CODEPAGE` Additional logon parameter to define the codepage that will used to convert the logon parameters.
    `static String` | `JCO_DELTA` Use the table delta management for reducing the amount of data being sent via the network, especially if dealing with big RFC table parameters.
    `static String` | `JCO_GROUP` Group of SAP application servers, mandatory property for a load balancing connection.
    `static String` | `JCO_LANG` Logon language, if not defined the default user language is used.
    `static String` | `JCO_MSHOST` SAP message server, mandatory property for a load balancing connection.
    `static String` | `JCO_MSSERV` SAP message server port, optional property for a load balancing connection.
    `static String` | `JCO_MYSAPSSO2` SAP Cookie Version 2 as logon ticket for SSO based authentication.
    `static String` | `JCO_PASSWD` Logon password, logon parameter for password based authentication.
    `static String` | `JCO_PROXY_HOST` Host name of the network proxy to be used.
    `static String` | `JCO_PROXY_PASSWD` Password for authenticating at the network proxy.
    `static String` | `JCO_PROXY_PORT` Port number of the network proxy to be used.
    `static String` | `JCO_PROXY_TYPE` Proxy type property.
    `static String` | `JCO_PROXY_USER` Technical user name for authenticating at the network proxy.
    `static String` | `JCO_R3NAME` System ID of the SAP system, mandatory property for a load balancing connection.
    `static String` | `JCO_REPOSITORY_PASSWD` The password for a repository user.
    `static String` | `JCO_REPOSITORY_USER` If repository destination is not set, and this property is set, it will be used as user for repository calls.
    `static String` | `JCO_SYSNR` System number of the SAP ABAP application server, mandatory for a direct connection.
    `static String` | `JCO_TLS_TRUST_ALL` If `JCO_USE_TLS` is set to 1, this property steers if all TLS entities shall be trusted.
    `static String` | `JCO_USE_TLS` Specifies if the TLS (Transport Layer Security) protocol shall be used for protecting the communication via a websocket.
    `static String` | `JCO_USER` Logon user, logon parameter for password based authentication.
    `static String` | `JCO_WSHOST` Websocket host to be used for direct websocket communication.
    `static String` | `JCO_WSPORT` Websocket port number to be used for direct websocket communication.
    `static String` | `PROXY_TYPE_INTERNET` Proxy type - Internet.
    `static String` | `PROXY_TYPE_ON_PREMISE` Proxy type - On premise.
    `static String` | `RFC_LOCATION_ID` The cloud connector location id property for RFC destinations.

- - ### Field Detail

    - #### JCO_ASHOST

          static final String JCO_ASHOST

      SAP ABAP application server, mandatory for a direct connection.
      See Also:
        Constant Field Values

    - #### JCO_CLIENT

          static final String JCO_CLIENT

      SAP client, mandatory logon parameter.
      See Also:
        Constant Field Values

    - #### JCO_MSHOST

          static final String JCO_MSHOST

      SAP message server, mandatory property for a load balancing connection.
      See Also:
        Constant Field Values

    - #### JCO_MSSERV

          static final String JCO_MSSERV

      SAP message server port, optional property for a load balancing connection. In order to resolve the service names `sapmsXXX` a lookup in `etc/services` is performed by the network layer of the operating system. If using port numbers instead of symbolic service names, no lookups are performed and no additional entries are needed.
      See Also:
        Constant Field Values

    - #### JCO_WSHOST

          static final String JCO_WSHOST

      Websocket host to be used for direct websocket communication. If this is used, then `JCO_WSPORT` must be specified as well.
      See Also:
        Constant Field Values

    - #### JCO_WSPORT

          static final String JCO_WSPORT

      Websocket port number to be used for direct websocket communication. If this is used, then `JCO_WSHOST` must be specified as well.
      See Also:
        Constant Field Values

    - #### JCO_USE_TLS

          static final String JCO_USE_TLS

      Specifies if the TLS (Transport Layer Security) protocol shall be used for protecting the communication via a websocket. This property is only relevant if `JCO_WSHOST` and `JCO_WSPORT` are specified. Default is 1.
      See Also:
        Constant Field Values

    - #### JCO_TLS_TRUST_ALL

          static final String JCO_TLS_TRUST_ALL

      If `JCO_USE_TLS` is set to 1, this property steers if all TLS entities shall be trusted. Default is 0.
      See Also:
        Constant Field Values

    - #### JCO_PROXY_HOST

          static final String JCO_PROXY_HOST

      Host name of the network proxy to be used. All network traffic for websocket communication will be routed through the HTTP proxy running on this host. This property is optional and only needs to be specified if a proxy shall be used. In this case `JCO_PROXY_PORT` must be specified as well.
      See Also:
        Constant Field Values

    - #### JCO_PROXY_PORT

          static final String JCO_PROXY_PORT

      Port number of the network proxy to be used. All network traffic for websocket communication will be routed through the HTTP proxy listening to this TCP port. This property is optional and only needs to be specified if a proxy shall be used. In this case `JCO_PROXY_HOST` must be specified as well.
      See Also:
        Constant Field Values

    - #### JCO_PROXY_USER

          static final String JCO_PROXY_USER

      Technical user name for authenticating at the network proxy. This property is optional and only needed if a network proxy is configured via `JCO_PROXY_HOST` and requires authentication. In this case `JCO_PROXY_PASSWD` must be specified as well.
      See Also:
        Constant Field Values

    - #### JCO_PROXY_PASSWD

          static final String JCO_PROXY_PASSWD

      Password for authenticating at the network proxy. This property is optional and only needed if a network proxy is configured via `JCO_PROXY_HOST` and requires authentication. In this case `JCO_PROXY_USER` must be specified as well.
      See Also:
        Constant Field Values

    - #### JCO_USER

          static final String JCO_USER

      Logon user, logon parameter for password based authentication.
      See Also:
        Constant Field Values

    - #### JCO_ALIAS_USER

          static final String JCO_ALIAS_USER

      Logon user alias, can be used instead of the logon user ID.
      See Also:
        Constant Field Values

    - #### JCO_PASSWD

          static final String JCO_PASSWD

      Logon password, logon parameter for password based authentication.
      See Also:
        Constant Field Values

    - #### JCO_R3NAME

          static final String JCO_R3NAME

      System ID of the SAP system, mandatory property for a load balancing connection.
      See Also:
        Constant Field Values

    - #### JCO_REPOSITORY_USER

          static final String JCO_REPOSITORY_USER

      If repository destination is not set, and this property is set, it will be used as user for repository calls. This allows using a different user for repository lookups.
      See Also:
        Constant Field Values

    - #### JCO_REPOSITORY_PASSWD

          static final String JCO_REPOSITORY_PASSWD

      The password for a repository user. Mandatory, if a repository user should be used.
      See Also:
        Constant Field Values

    - #### JCO_SYSNR

          static final String JCO_SYSNR

      System number of the SAP ABAP application server, mandatory for a direct connection.
      See Also:
        Constant Field Values

    - #### JCO_LANG

          static final String JCO_LANG

      Logon language, if not defined the default user language is used.
      See Also:
        Constant Field Values

    - #### JCO_CODEPAGE

          static final String JCO_CODEPAGE

      Additional logon parameter to define the codepage that will used to convert the logon parameters. Use in special cases only.
      See Also:
        Constant Field Values

    - #### JCO_GROUP

          static final String JCO_GROUP

      Group of SAP application servers, mandatory property for a load balancing connection.
      See Also:
        Constant Field Values

    - #### JCO_MYSAPSSO2

          static final String JCO_MYSAPSSO2

      SAP Cookie Version 2 as logon ticket for SSO based authentication.
      See Also:
        Constant Field Values

    - #### JCO_DELTA

          static final String JCO_DELTA

      Use the table delta management for reducing the amount of data being sent via the network, especially if dealing with big RFC table parameters. The default value is 1 and enables the feature, which means that only appended/deleted/updated table rows are transferred back to the caller. A value of 0 disables the feature and means that always the whole table parameter is sent back. This destination property is only relevant if the `'jco.delta_management'` RFC protocol feature is not generally turned off. Use in special cases only.
      See Also:
        Constant Field Values

    - #### RFC_LOCATION_ID

          static final String RFC_LOCATION_ID

      The cloud connector location id property for RFC destinations.
      See Also:
        Constant Field Values

    - #### CLOUD_CONNECTOR_VERSION

          static final String CLOUD_CONNECTOR_VERSION

      Cloud Connector version property.
      See Also:
        Constant Field Values

    - #### JCO_PROXY_TYPE

          static final String JCO_PROXY_TYPE

      Proxy type property.
      See Also:
        Constant Field Values

    - #### PROXY_TYPE_INTERNET

          static final String PROXY_TYPE_INTERNET

      Proxy type - Internet.
      See Also:
        Constant Field Values

    - #### PROXY_TYPE_ON_PREMISE

          static final String PROXY_TYPE_ON_PREMISE

      Proxy type - On premise.
      See Also:
        Constant Field Values

Copyright © 2020 SAP. All Rights Reserved.